%global momorel 1
%global relname MoonLikeAGinLime
%global seamonkey_release %{version}-%{release}.%{relname}
%global nspr_version 4.7.3
%global nss_version 3.12.3

Summary:     Web browser and mail reader
Name:        seamonkey

### include local configuration
%{?include_specopt}

### default configurations
# If you'd like to change this configuration, please copy it to
# ${HOME}/rpm/specopt/seamonkey.specopt and edit it.

## Configuration
%{?!build_devel:        %global build_devel                0}

Version:     1.1.17
Release:     %{momorel}m%{?dist}
License:     MPLv1.1 and GPLv2+ and LGPLv2+
URL:         http://www.mozilla.org/projects/seamonkey/
Group:       Applications/Internet
Source0:     http://releases.mozilla.org/pub/mozilla.org/%{name}/releases/%{version}/%{name}-%{version}.source.tar.bz2
NoSource:    0
Source1:     %{name}.sh.in
Source2:     %{name}-icon.png
Source4:     %{name}.desktop
Source7:     mozilla-make-package.pl
Source11:    seamonkey-rebuild-databases.pl.in
Source12:    %{name}-mail.desktop
Source13:    %{name}-mail-icon.png
Source14:    %{name}-compose.desktop
Source15:    %{name}-compose-icon.png
Source18:    mozilla-xpcom-exclude-list
Source20:    %{name}-xft.js
Source21:    %{name}-momonga-default-prefs.js
Source100:   %{name}-remote
Source101:   %{name}-remote-tab
Patch10:     mozilla-1.5-bugjp3498-2.patch
Patch14:     mozilla-default-plugin-less-annoying.patch
Patch18:     mozilla-1.2.1-uifont.patch
Patch25:     %{name}-1.1-nspr-packages.patch
Patch106:    %{name}-1.0.7-gtkXft-FontFamilyUtf8.patch
Patch108:    %{name}-1.0.7-packages-unix.patch
Patch112:    nspr.m4.patch
Patch114:    mozilla-1.7.12-xprint.patch
Patch120:    mozilla-1.7.5-lang.patch.bz2
BuildRoot:   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Prereq:      coreutils
Prereq:      perl
Prereq:      psmisc
Requires:    nspr >= %{nspr_version}
Requires:    nss >= %{nss_version}
Requires:    zlib >= 1.2.2-2m
BuildPrereq: ImageMagick
BuildPrereq: ORBit2-devel
BuildPrereq: atk-devel
BuildPrereq: autoconf213
BuildPrereq: cairo-devel
BuildPrereq: glib2-devel
BuildPrereq: gtk2-devel
BuildPrereq: libIDL-devel
BuildPrereq: libjpeg-devel
BuildPrereq: libpng-devel
BuildPrereq: libstdc++-devel
BuildPrereq: nspr-devel >= %{nspr_version}
BuildPrereq: nss-devel >= %{nss_version}
BuildPrereq: pango-devel >= 1.8.0
BuildPrereq: perl
BuildPrereq: sed
BuildPrereq: zip
BuildPrereq: zlib-devel >= 1.2.2-2m
Provides:    webclient
%if ! %{build_devel}
Obsoletes:   %{name}-devel
%endif

%description
Web-browser, advanced e-mail and newsgroup client, IRC chat client, 
and HTML editing made simple -- all your Internet needs in one application.

%if %{build_devel}
%package devel
Summary: Development files for SeaMonkey
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: nspr-devel >= %{nspr_version}
Requires: nss-devel >= %{nss_version}

%description devel
Development header files for SeaMonkey.
%endif

%package mail
Summary: SeaMonkey-based mail system
Group: Applications/Internet
Prereq: fileutils, %{name} = %{version}-%{release}

%description mail
Mail/news client based on the SeaMonkey web browser.  The mail/news
client supports IMAP, POP, and NNTP and has an easy to use interface.

%package psm
Summary: Personal Security Manager
Group: Applications/Internet
Prereq: fileutils, %{name} = %{version}-%{release}

%description psm
The Personal Security Manager is a set of libraries that allow SeaMonkey
to talk to the Network Security Services layer.  It allows SeaMonkey to
access SSL web sites and manage cryptographic keys.

%package chat
Summary: IRC client integrated with SeaMonkey
Group: Applications/Internet
Prereq: fileutils, %{name} = %{version}-%{release}

%description chat
IRC client that is integrated with the SeaMonkey web browser.

%package js-debugger
Summary: JavaScript debugger for use with SeaMonkey
Group: Applications/Internet
Prereq: fileutils, %{name} = %{version}-%{release}

%description js-debugger
JavaScript debugger for use with SeaMonkey.

%package dom-inspector
Summary: A tool for inspecting the DOM of pages in SeaMonkey
Group: Applications/Internet
Prereq: fileutils, %{name} = %{version}-%{release}

%description dom-inspector
This is a tool that allows you to inspect the DOM for web pages in
SeaMonkey. This is of great use to people who are doing SeaMonkey chrome
development or web page development.

%prep

%setup -q -n mozilla

# make the plugin dialog less annoying and disable redirection to the
# plugin downloader page.
%patch14 -p1

# make it possible to set the uifont
%patch18 -p1

%patch25 -p1

%patch106 -p1

%patch112 -p0 -b .m4~
%patch114 -p1

%patch120 -p1 -b .lang

%build
# build seamonkey
# Rebuild configure to ensure that any patches to configure.in get applied
rm -f ./configure
%{_bindir}/autoconf-2.13

%ifarch %{ix86}
# use -O1 to avoid crashing
# seamonkey-1.1.11-2m and gcc-4.3.1-7m
%global optflags `echo %{optflags} | sed s/-O2/-O1/`
%endif

XCFLAGS="%{optflags}" \
CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
MOZ_INTERNAL_LIBART_LGPL=1 \
BUILD_OFFICIAL=0 MOZILLA_OFFICIAL=0 \
  ./configure --prefix=%{_prefix} \
  --libdir=%{_libdir} \
  --mandir=%{_mandir} \
  --with-default-mozilla-five-home=%{_libdir}/%{name}-%{version} \
  --enable-application=suite \
  --enable-canvas \
  --enable-crypto \
  --enable-default-toolkit=gtk2 \
  --enable-extensions=default,irc \
  --enable-image-decoders=all \
  --enable-necko-protocols=all \
%ifarch ppc64
  --enable-optimize="%{optflags} -mminimal-toc" \
%else
  --enable-optimize="%{optflags}" \
%endif
  --enable-svg \
  --enable-system-cairo \
  --enable-xinerama \
  --disable-debug \
  --disable-installer \
  --disable-strip \
  --disable-tests \
  --with-pthreads \
  --with-system-jpeg \
  --with-system-nspr \
  --with-system-nss \
  --with-system-png \
  --with-system-zlib

BUILD_OFFICIAL=0 MOZILLA_OFFICIAL=0 %{make} export
BUILD_OFFICIAL=0 MOZILLA_OFFICIAL=0 %{make} libs

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

BUILD_OFFICIAL=0 MOZILLA_OFFICIAL=0 \
make install DESTDIR=%{buildroot}

# create a list of all of the different package and the files that
# will hold them

rm -f %{_tmppath}/mozilla.list
rm -f %{_tmppath}/mozilla-mail.list
rm -f %{_tmppath}/mozilla-psm.list
rm -f %{_tmppath}/mozilla-chat.list
rm -f %{_tmppath}/mozilla-js-debugger.list
rm -f %{_tmppath}/mozilla-dom-inspector.list
%if %{build_devel}
rm -f %{_tmppath}/mozilla-devel.list
%endif

echo %defattr\(-,root,root\) > %{_tmppath}/mozilla.list
echo %defattr\(-,root,root\) > %{_tmppath}/mozilla-mail.list
echo %defattr\(-,root,root\) > %{_tmppath}/mozilla-psm.list
echo %defattr\(-,root,root\) > %{_tmppath}/mozilla-chat.list
echo %defattr\(-,root,root\) > %{_tmppath}/mozilla-js-debugger.list
echo %defattr\(-,root,root\) > %{_tmppath}/mozilla-dom-inspector.list
%if %{build_devel}
echo %defattr\(-,root,root\) > %{_tmppath}/mozilla-devel.list
%endif

# build all of the default browser components
# base seamonkey package (mozilla.list)
%{SOURCE7} --package langenus \
    --output-file %{_tmppath}/mozilla.list \
    --package-file %{_builddir}/mozilla/xpinstall/packager/packages-unix \
    --install-dir %{buildroot}%{_libdir}/%{name}-%{version} \
    --install-root %{_libdir}/%{name}-%{version}

%{SOURCE7} --package langjajp \
    --output-file %{_tmppath}/mozilla.list \
    --package-file %{_builddir}/mozilla/xpinstall/packager/packages-unix \
    --install-dir %{buildroot}%{_libdir}/%{name}-%{version} \
    --install-root %{_libdir}/%{name}-%{version}

%{SOURCE7} --package regus \
    --output-file %{_tmppath}/mozilla.list \
    --package-file %{_builddir}/mozilla/xpinstall/packager/packages-unix \
    --install-dir %{buildroot}%{_libdir}/%{name}-%{version} \
    --install-root %{_libdir}/%{name}-%{version}

%{SOURCE7} --package regjp \
    --output-file %{_tmppath}/mozilla.list \
    --package-file %{_builddir}/mozilla/xpinstall/packager/packages-unix \
    --install-dir %{buildroot}%{_libdir}/%{name}-%{version} \
    --install-root %{_libdir}/%{name}-%{version}

%{SOURCE7} --package deflenus \
    --output-file %{_tmppath}/mozilla.list \
    --package-file %{_builddir}/mozilla/xpinstall/packager/packages-unix \
    --install-dir %{buildroot}%{_libdir}/%{name}-%{version} \
    --install-root %{_libdir}/%{name}-%{version}

%{SOURCE7} --package xpcom \
    --output-file %{_tmppath}/mozilla.list \
    --package-file %{_builddir}/mozilla/xpinstall/packager/packages-unix \
    --install-dir %{buildroot}%{_libdir}/%{name}-%{version} \
    --install-root %{_libdir}/%{name}-%{version} \
    --exclude-file=%{SOURCE18}

%{SOURCE7} --package browser \
    --output-file %{_tmppath}/mozilla.list \
    --package-file %{_builddir}/mozilla/xpinstall/packager/packages-unix \
    --install-dir %{buildroot}%{_libdir}/%{name}-%{version} \
    --install-root %{_libdir}/%{name}-%{version}

# seamokey mail (mozilla-mail.list)
%{SOURCE7} --package mail \
    --output-file %{_tmppath}/mozilla-mail.list \
    --package-file %{_builddir}/mozilla/xpinstall/packager/packages-unix \
    --install-dir %{buildroot}%{_libdir}/%{name}-%{version} \
    --install-root %{_libdir}/%{name}-%{version}

# seamokey psm (mozilla-psm.list)
%{SOURCE7} --package psm \
    --output-file %{_tmppath}/mozilla-psm.list \
    --package-file %{_builddir}/mozilla/xpinstall/packager/packages-unix \
    --install-dir %{buildroot}%{_libdir}/%{name}-%{version} \
    --install-root %{_libdir}/%{name}-%{version} \

# seamonkey chat (mozilla-chat.list)
%{SOURCE7} --package chatzilla \
    --output-file %{_tmppath}/mozilla-chat.list \
    --package-file %{_builddir}/mozilla/xpinstall/packager/packages-unix \
    --install-dir %{buildroot}%{_libdir}/%{name}-%{version} \
    --install-root %{_libdir}/%{name}-%{version}

# seamonkey JS debugger (mozilla-js-debugger.list)
%{SOURCE7} --package venkman \
    --output-file %{_tmppath}/mozilla-js-debugger.list \
    --package-file %{_builddir}/mozilla/xpinstall/packager/packages-unix \
    --install-dir %{buildroot}%{_libdir}/%{name}-%{version} \
    --install-root %{_libdir}/%{name}-%{version}

# seamokey DOM inspector (mozilla-dom-inspector.list)
%{SOURCE7} --package inspector \
    --output-file %{_tmppath}/mozilla-dom-inspector.list \
    --package-file %{_builddir}/mozilla/xpinstall/packager/packages-unix \
    --install-dir %{buildroot}%{_libdir}/%{name}-%{version} \
    --install-root %{_libdir}/%{name}-%{version}

# build our initial component and chrome registry

pushd `pwd`
  cd %{buildroot}%{_libdir}/%{name}-%{version}

  # save a copy of the default installed-chrome.txt file before we
  # muck with it
  mkdir chrome/lang
  cp chrome/installed-chrome.txt chrome/lang/

  # register our components
  LD_LIBRARY_PATH=`pwd`:`pwd`/.. MOZILLA_FIVE_HOME=`pwd` MOZ_DISABLE_GCONF=1 ./regxpcom

  # set up the default skin and locale to trigger the generation of
  # the user-locales and users-skins.rdf
  echo "skin,install,select,classic/1.0" >> chrome/installed-chrome.txt
  echo "locale,install,select,en-US" >> chrome/installed-chrome.txt

  # save the defaults in a file that will be used later to rebuild the
  # installed-chrome.txt file
  echo "skin,install,select,classic/1.0" >> chrome/lang/default.txt
  echo "locale,install,select,en-US" >> chrome/lang/default.txt

  # set up the chrome rdf files
  LD_LIBRARY_PATH=`pwd`:`pwd`/.. MOZILLA_FIVE_HOME=`pwd` MOZ_DISABLE_GNOME=1 ./regchrome

  # fix permissions of the chrome directories
  find . -type d -perm 0700 -exec chmod 755 {} \; || :
popd

# delete unnessesaty header files
rm -rf %{buildroot}%{_includedir}/%{name}-%{version}/jpeg
rm -rf %{buildroot}%{_includedir}/%{name}-%{version}/libart_lgpl
rm -rf %{buildroot}%{_includedir}/%{name}-%{version}/png
rm -rf %{buildroot}%{_includedir}/%{name}-%{version}/xlibrgb
rm -rf %{buildroot}%{_includedir}/%{name}-%{version}/xprintutil

%if %{build_devel}
find %{buildroot}%{_includedir}/%{name}-%{version}/ -type f | \
  sed -e "s,%{buildroot},," > \
  %{_tmppath}/mozilla-devel.list
find %{buildroot}%{_includedir}/%{name}-%{version}/ -type d | \
  sed -e "s,%{buildroot},%%dir ," >> \
  %{_tmppath}/mozilla-devel.list
%endif

# copy our devel tools
install -c -m 755 dist/bin/xpcshell \
  dist/bin/xpidl \
  dist/bin/xpt_dump \
  dist/bin/xpt_link \
  %{buildroot}%{_libdir}/%{name}-%{version}

# set up our desktop files
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{16x16,32x32,48x48}/apps
mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_datadir}/applications

# install icons
convert -scale 16x16 %{SOURCE2} \
  %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{name}-icon.png
convert -scale 32x32 %{SOURCE2} \
  %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}-icon.png
convert -scale 48x48 %{SOURCE2} \
  %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}-icon.png
ln -s ../icons/hicolor/48x48/apps/%{name}-icon.png \
  %{buildroot}%{_datadir}/pixmaps/%{name}-icon.png

ln -s ./%{name}-icon.png \
  %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
ln -s ./%{name}-icon.png \
  %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
ln -s ./%{name}-icon.png \
  %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
ln -s ../icons/hicolor/48x48/apps/%{name}-icon.png \
  %{buildroot}%{_datadir}/pixmaps/%{name}.png

convert -scale 16x16 %{SOURCE13} \
  %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{name}-mail-icon.png
install -m 644 %{SOURCE13} \
  %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}-mail-icon.png
ln -s ../icons/hicolor/32x32/apps/%{name}-mail-icon.png \
  %{buildroot}%{_datadir}/pixmaps/%{name}-mail-icon.png

convert -scale 16x16 %{SOURCE15} \
  %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{name}-compose-icon.png
install -m 644 %{SOURCE15} \
  %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}-compose-icon.png
ln -s ../icons/hicolor/32x32/apps/%{name}-compose-icon.png \
  %{buildroot}%{_datadir}/pixmaps/%{name}-compose-icon.png

# klipper needs mozilla.png
ln -s ./%{name}-icon.png \
  %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/mozilla.png
ln -s ./%{name}-icon.png \
  %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/mozilla.png
ln -s ./%{name}-icon.png \
  %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/mozilla.png
ln -s ../icons/hicolor/48x48/apps/%{name}-icon.png \
  %{buildroot}%{_datadir}/pixmaps/mozilla.png

# install desktop files
install -c -m 644  %{SOURCE4} %{SOURCE12} %{SOURCE14} \
  %{buildroot}%{_datadir}/applications/

if [ ! -d %{buildroot}%{_libdir}/%{name}-%{version}/icons/ ]; then
  mkdir -m 755 %{buildroot}%{_libdir}/%{name}-%{version}/icons
fi

if [ ! -d %{buildroot}%{_libdir}/%{name}-%{version}/plugins/ ]; then
  mkdir -m 755 %{buildroot}%{_libdir}/%{name}-%{version}/plugins
fi

# install our seamonkey.sh file
cat %{SOURCE1} | sed -e 's/MOZILLA_VERSION/%{version}/g' \
         -e 's,LIBDIR,%{_libdir},g' > \
  %{buildroot}%{_bindir}/%{name}

chmod 755 %{buildroot}%{_bindir}/%{name}

# install our rebuild file
cat %{SOURCE11} | sed -e 's/MOZILLA_VERSION/%{version}/g' \
          -e 's,LIBDIR,%{_libdir},g' > \
  %{buildroot}%{_libdir}/%{name}-%{version}/mozilla-rebuild-databases.pl

chmod 755 \
  %{buildroot}%{_libdir}/%{name}-%{version}/mozilla-rebuild-databases.pl

# install the defaults fonts for xft
install -m 644 %{SOURCE20} %{buildroot}%{_libdir}/%{name}-%{version}/defaults/pref/xft.js

# set up Momonga default preferences
cat %{SOURCE21} | sed -e 's/SEAMONKEY_RPM_VR/%{seamonkey_release}/g' > momonga-default-prefs
cat momonga-default-prefs >> %{buildroot}%{_libdir}/%{name}-%{version}/defaults/pref/browser-prefs.js
rm -f momonga-default-prefs

# we own %%{_libdir}/seamonkey/plugins which is the version-independent
# place that plugins can be installed
mkdir -p %{buildroot}%{_libdir}/seamonkey/plugins

# # install the gre.conf file
# echo [%{version}] > \
#   %{buildroot}%{_libdir}/%{name}-%{version}/gre.conf
# echo GRE_PATH=%{_libdir}/%{name}-%{version} >> \
#   %{buildroot}%{_libdir}/%{name}-%{version}/gre.conf
mkdir -p %{buildroot}%{_sysconfdir}
echo [%{version}] > \
  %{buildroot}%{_sysconfdir}/gre.conf
echo GRE_PATH=%{_libdir}/%{name}-%{version} >> \
  %{buildroot}%{_sysconfdir}/gre.conf

install -m 0755 %{SOURCE100} %{buildroot}%{_bindir}/
install -m 0755 %{SOURCE101} %{buildroot}%{_bindir}/

# backward compatibility
pushd %{buildroot}%{_bindir}
ln -s seamonkey mozilla
ln -s seamonkey-remote mozilla-remote
ln -s seamonkey-remote-tab mozilla-remote-tab
popd

%if ! %{build_devel}
# remove unneeded stuff
rm -f %{buildroot}%{_bindir}/seamonkey-config
rm -rf %{buildroot}%{_includedir}/%{name}-%{version}
rm -rf %{buildroot}%{_libdir}/pkgconfig
rm -f %{buildroot}%{_libdir}/%{name}-%{version}/*/*.h
rm -f %{buildroot}%{_libdir}/%{name}-%{version}/xpcshell
rm -f %{buildroot}%{_libdir}/%{name}-%{version}/xpidl
rm -f %{buildroot}%{_libdir}/%{name}-%{version}/xpt_dump
rm -f %{buildroot}%{_libdir}/%{name}-%{version}/xpt_link
rm -rf %{buildroot}%{_datadir}/idl
%endif

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
rm -f %{_tmppath}/mozilla.list
rm -f %{_tmppath}/mozilla-mail.list
rm -f %{_tmppath}/mozilla-psm.list
rm -f %{_tmppath}/mozilla-chat.list
rm -f %{_tmppath}/mozilla-js-debugger.list
rm -f %{_tmppath}/mozilla-dom-inspector.list
%if %{build_devel}
rm -f %{_tmppath}/mozilla-devel.list
%endif

%post
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{_libdir}/%{name}-%{version}/mozilla-rebuild-databases.pl ]; then
  %{_libdir}/%{name}-%{version}/mozilla-rebuild-databases.pl
fi

%postun
/sbin/ldconfig >/dev/null 2>/dev/null
# was this an upgrade?
if [ "$1" == "2" ]; then
  if [ -f %{_libdir}/%{name}-%{version}/mozilla-rebuild-databases.pl ]; then
    %{_libdir}/%{name}-%{version}/mozilla-rebuild-databases.pl
  fi
fi

%triggerpostun -- mozilla < 1.0
# Older packages will leave mozilla unusable after the postun script
# script is run for the old package.  Rebuild the databases after that
# has been run.
if [ -f %{_libdir}/%{name}-%{version}/mozilla-rebuild-databases.pl ]; then
  %{_libdir}/%{name}-%{version}/mozilla-rebuild-databases.pl
fi

%preun
# is a final removal?
if [ "$1" == "0" ]; then
  rm -rf %{_libdir}/%{name}-%{version}/chrome/overlayinfo
  rm -f %{_libdir}/%{name}-%{version}/chrome/*.rdf
fi

%post mail
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{_libdir}/%{name}-%{version}/mozilla-rebuild-databases.pl ]; then
  %{_libdir}/%{name}-%{version}/mozilla-rebuild-databases.pl
fi

%postun mail
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{_libdir}/%{name}-%{version}/mozilla-rebuild-databases.pl ]; then
  %{_libdir}/%{name}-%{version}/mozilla-rebuild-databases.pl
fi

%post psm
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{_libdir}/%{name}-%{version}/mozilla-rebuild-databases.pl ]; then
  %{_libdir}/%{name}-%{version}/mozilla-rebuild-databases.pl
fi

%postun psm
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{_libdir}/%{name}-%{version}/mozilla-rebuild-databases.pl ]; then
  %{_libdir}/%{name}-%{version}/mozilla-rebuild-databases.pl
fi

%post chat
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{_libdir}/%{name}-%{version}/mozilla-rebuild-databases.pl ]; then
  %{_libdir}/%{name}-%{version}/mozilla-rebuild-databases.pl
fi

%postun chat
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{_libdir}/%{name}-%{version}/mozilla-rebuild-databases.pl ]; then
  %{_libdir}/%{name}-%{version}/mozilla-rebuild-databases.pl
fi

%post js-debugger
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{_libdir}/%{name}-%{version}/mozilla-rebuild-databases.pl ]; then
  %{_libdir}/%{name}-%{version}/mozilla-rebuild-databases.pl
fi

%postun js-debugger
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{_libdir}/%{name}-%{version}/mozilla-rebuild-databases.pl ]; then
  %{_libdir}/%{name}-%{version}/mozilla-rebuild-databases.pl
fi

%post dom-inspector
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{_libdir}/%{name}-%{version}/mozilla-rebuild-databases.pl ]; then
  %{_libdir}/%{name}-%{version}/mozilla-rebuild-databases.pl
fi

%postun dom-inspector
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{_libdir}/%{name}-%{version}/mozilla-rebuild-databases.pl ]; then
  %{_libdir}/%{name}-%{version}/mozilla-rebuild-databases.pl
fi

%files -f %{_tmppath}/mozilla.list
%defattr(-,root,root)
%{_sysconfdir}/gre.conf
%{_bindir}/seamonkey
%{_bindir}/seamonkey-remote
%{_bindir}/seamonkey-remote-tab
%{_bindir}/mozilla
%{_bindir}/mozilla-remote
%{_bindir}/mozilla-remote-tab

# for plugins
%{_libdir}/seamonkey

%dir %{_libdir}/%{name}-%{version}/chrome/icons/default
%dir %{_libdir}/%{name}-%{version}/chrome/icons
%dir %{_libdir}/%{name}-%{version}/chrome/lang
%dir %{_libdir}/%{name}-%{version}/chrome

%dir %{_libdir}/%{name}-%{version}/components

%dir %{_libdir}/%{name}-%{version}/defaults/pref
%dir %{_libdir}/%{name}-%{version}/defaults/profile/US/chrome
%dir %{_libdir}/%{name}-%{version}/defaults/profile/US
%dir %{_libdir}/%{name}-%{version}/defaults/profile/chrome
%dir %{_libdir}/%{name}-%{version}/defaults/profile
%dir %{_libdir}/%{name}-%{version}/defaults/wallet
%dir %{_libdir}/%{name}-%{version}/defaults/autoconfig
%dir %{_libdir}/%{name}-%{version}/defaults/messenger/US
%dir %{_libdir}/%{name}-%{version}/defaults/messenger
%dir %{_libdir}/%{name}-%{version}/defaults

%dir %{_libdir}/%{name}-%{version}/dictionaries

%dir %{_libdir}/%{name}-%{version}/greprefs

%dir %{_libdir}/%{name}-%{version}/icons

%dir %{_libdir}/%{name}-%{version}/init.d

%dir %{_libdir}/%{name}-%{version}/isp

%dir %{_libdir}/%{name}-%{version}/plugins

%dir %{_libdir}/%{name}-%{version}/res/dtd
%dir %{_libdir}/%{name}-%{version}/res/entityTables
%dir %{_libdir}/%{name}-%{version}/res/fonts
%dir %{_libdir}/%{name}-%{version}/res/html
%dir %{_libdir}/%{name}-%{version}/res/samples/sampleimages
%dir %{_libdir}/%{name}-%{version}/res/samples
%dir %{_libdir}/%{name}-%{version}/res/throbber
%dir %{_libdir}/%{name}-%{version}/res
%dir %{_libdir}/%{name}-%{version}/searchplugins

%dir %{_libdir}/%{name}-%{version}

%{_libdir}/%{name}-%{version}/chrome/lang/installed-chrome.txt
%{_libdir}/%{name}-%{version}/chrome/lang/default.txt

%{_libdir}/%{name}-%{version}/chrome/chrome.rdf
%{_libdir}/%{name}-%{version}/chrome/embed-sample.jar
%{_libdir}/%{name}-%{version}/chrome/overlays.rdf
%{_libdir}/%{name}-%{version}/chrome/reporter.jar
%{_libdir}/%{name}-%{version}/chrome/reporter.manifest
%{_libdir}/%{name}-%{version}/chrome/stylesheets.rdf

%verify (not md5 mtime size) %{_libdir}/%{name}-%{version}/components/compreg.dat
%verify (not md5 mtime size) %{_libdir}/%{name}-%{version}/components/xpti.dat
%{_libdir}/%{name}-%{version}/components/libmyspell.so
%{_libdir}/%{name}-%{version}/components/libspellchecker.so
%{_libdir}/%{name}-%{version}/components/nsURLFormatter.js
%{_libdir}/%{name}-%{version}/components/saxparser.xpt
%{_libdir}/%{name}-%{version}/components/spellchecker.xpt
%{_libdir}/%{name}-%{version}/components/urlformatter.xpt

%{_libdir}/%{name}-%{version}/defaults/pref/xft.js
%exclude %{_libdir}/%{name}-%{version}/defaults/pref/inspector.js
%{_libdir}/%{name}-%{version}/defaults/profile/US/chrome/userChrome-example.css
%{_libdir}/%{name}-%{version}/defaults/profile/US/chrome/userContent-example.css
%{_libdir}/%{name}-%{version}/defaults/profile/chrome/userChrome-example.css
%{_libdir}/%{name}-%{version}/defaults/profile/chrome/userContent-example.css

%{_libdir}/%{name}-%{version}/dictionaries/en-US.aff
%{_libdir}/%{name}-%{version}/dictionaries/en-US.dic

%{_libdir}/%{name}-%{version}/plugins/libunixprintplugin.so

%{_libdir}/%{name}-%{version}/res/sample.unixpsfonts.properties
%{_libdir}/%{name}-%{version}/res/samples/Anieyes.gif
%{_libdir}/%{name}-%{version}/res/samples/aform.css
%{_libdir}/%{name}-%{version}/res/samples/beeptest.html
%{_libdir}/%{name}-%{version}/res/samples/bform.css
%{_libdir}/%{name}-%{version}/res/samples/bg.jpg
%{_libdir}/%{name}-%{version}/res/samples/cform.css
%{_libdir}/%{name}-%{version}/res/samples/checkboxTest.xul
%{_libdir}/%{name}-%{version}/res/samples/colorpicker.xul
%{_libdir}/%{name}-%{version}/res/samples/demoform.css
%{_libdir}/%{name}-%{version}/res/samples/dexopenchrome.xul
%{_libdir}/%{name}-%{version}/res/samples/dexparamdialog.html
%{_libdir}/%{name}-%{version}/res/samples/dexparamdialog.xul
%{_libdir}/%{name}-%{version}/res/samples/find.html
%{_libdir}/%{name}-%{version}/res/samples/gear1.gif
%{_libdir}/%{name}-%{version}/res/samples/hidetoolicon.css
%{_libdir}/%{name}-%{version}/res/samples/hidetoolicon.xul
%{_libdir}/%{name}-%{version}/res/samples/image_props.html
%{_libdir}/%{name}-%{version}/res/samples/mozform.css
%{_libdir}/%{name}-%{version}/res/samples/printsetup.html
%{_libdir}/%{name}-%{version}/res/samples/raptor.jpg
%{_libdir}/%{name}-%{version}/res/samples/rock_gra.gif
%{_libdir}/%{name}-%{version}/res/samples/scrollbarTest1.xul
%{_libdir}/%{name}-%{version}/res/samples/scrollbarTest2.xul
%{_libdir}/%{name}-%{version}/res/samples/sliderTest1.xul
%{_libdir}/%{name}-%{version}/res/samples/soundtest.html
%{_libdir}/%{name}-%{version}/res/samples/tab.xul
%{_libdir}/%{name}-%{version}/res/samples/test.wav
%{_libdir}/%{name}-%{version}/res/samples/test0.html
%{_libdir}/%{name}-%{version}/res/samples/test1.html
%{_libdir}/%{name}-%{version}/res/samples/test10.html
%{_libdir}/%{name}-%{version}/res/samples/test11.html
%{_libdir}/%{name}-%{version}/res/samples/test12.html
%{_libdir}/%{name}-%{version}/res/samples/test13.html
%{_libdir}/%{name}-%{version}/res/samples/test14.html
%{_libdir}/%{name}-%{version}/res/samples/test15.html
%{_libdir}/%{name}-%{version}/res/samples/test16.html
%{_libdir}/%{name}-%{version}/res/samples/test2.html
%{_libdir}/%{name}-%{version}/res/samples/test3.html
%{_libdir}/%{name}-%{version}/res/samples/test4.html
%{_libdir}/%{name}-%{version}/res/samples/test5.html
%{_libdir}/%{name}-%{version}/res/samples/test6.html
%{_libdir}/%{name}-%{version}/res/samples/test7.html
%{_libdir}/%{name}-%{version}/res/samples/test8-1.html
%{_libdir}/%{name}-%{version}/res/samples/test8.html
%{_libdir}/%{name}-%{version}/res/samples/test8dom.html
%{_libdir}/%{name}-%{version}/res/samples/test8sca.html
%{_libdir}/%{name}-%{version}/res/samples/test8siz.html
%{_libdir}/%{name}-%{version}/res/samples/test8tab.html
%{_libdir}/%{name}-%{version}/res/samples/test9.html
%{_libdir}/%{name}-%{version}/res/samples/test9a.html
%{_libdir}/%{name}-%{version}/res/samples/test9b.html
%{_libdir}/%{name}-%{version}/res/samples/test_ed.html
%{_libdir}/%{name}-%{version}/res/samples/test_form.html
%{_libdir}/%{name}-%{version}/res/samples/test_gfx.html
%{_libdir}/%{name}-%{version}/res/samples/test_lbox.html
%{_libdir}/%{name}-%{version}/res/samples/test_pr.html
%{_libdir}/%{name}-%{version}/res/samples/test_weight.html
%{_libdir}/%{name}-%{version}/res/samples/toolbarTest1.xul
%{_libdir}/%{name}-%{version}/res/samples/treeTest1.css
%{_libdir}/%{name}-%{version}/res/samples/treeTest1.xul
%{_libdir}/%{name}-%{version}/res/samples/widgets.xul
%{_libdir}/%{name}-%{version}/res/samples/xpmenu.xul
%{_libdir}/%{name}-%{version}/res/samples/xulTest.css
%{_libdir}/%{name}-%{version}/res/samples/sampleimages/bongo.gif
%{_libdir}/%{name}-%{version}/res/samples/sampleimages/down.gif
%{_libdir}/%{name}-%{version}/res/samples/sampleimages/left.gif
%{_libdir}/%{name}-%{version}/res/samples/sampleimages/right.gif
%{_libdir}/%{name}-%{version}/res/samples/sampleimages/up.gif
%{_libdir}/%{name}-%{version}/res/throbber/anim.gif
%{_libdir}/%{name}-%{version}/res/throbber/anims00.gif
%{_libdir}/%{name}-%{version}/res/throbber/anims01.gif
%{_libdir}/%{name}-%{version}/res/throbber/anims02.gif
%{_libdir}/%{name}-%{version}/res/throbber/anims03.gif
%{_libdir}/%{name}-%{version}/res/throbber/anims04.gif
%{_libdir}/%{name}-%{version}/res/throbber/anims05.gif
%{_libdir}/%{name}-%{version}/res/throbber/anims06.gif
%{_libdir}/%{name}-%{version}/res/throbber/anims07.gif
%{_libdir}/%{name}-%{version}/res/throbber/anims08.gif
%{_libdir}/%{name}-%{version}/res/throbber/anims09.gif
%{_libdir}/%{name}-%{version}/res/throbber/anims10.gif
%{_libdir}/%{name}-%{version}/res/throbber/anims11.gif
%{_libdir}/%{name}-%{version}/res/throbber/anims12.gif
%{_libdir}/%{name}-%{version}/res/throbber/anims13.gif
%{_libdir}/%{name}-%{version}/res/throbber/anims14.gif
%{_libdir}/%{name}-%{version}/res/throbber/anims15.gif
%{_libdir}/%{name}-%{version}/res/throbber/anims16.gif
%{_libdir}/%{name}-%{version}/res/throbber/anims17.gif
%{_libdir}/%{name}-%{version}/res/throbber/anims18.gif
%{_libdir}/%{name}-%{version}/res/throbber/anims19.gif
%{_libdir}/%{name}-%{version}/res/throbber/anims20.gif
%{_libdir}/%{name}-%{version}/res/throbber/anims21.gif
%{_libdir}/%{name}-%{version}/res/throbber/anims22.gif
%{_libdir}/%{name}-%{version}/res/throbber/anims23.gif
%{_libdir}/%{name}-%{version}/res/throbber/anims24.gif
%{_libdir}/%{name}-%{version}/res/throbber/anims25.gif
%{_libdir}/%{name}-%{version}/res/throbber/anims26.gif
%{_libdir}/%{name}-%{version}/res/throbber/anims27.gif
%{_libdir}/%{name}-%{version}/res/throbber/anims28.gif
%{_libdir}/%{name}-%{version}/res/throbber/anims29.gif
%{_libdir}/%{name}-%{version}/res/viewer.properties

%{_libdir}/%{name}-%{version}/TestGtkEmbed
%{_libdir}/%{name}-%{version}/mozilla-rebuild-databases.pl

%{_datadir}/applications/seamonkey.desktop
%{_datadir}/icons/hicolor/*/apps/mozilla.png
%{_datadir}/icons/hicolor/*/apps/seamonkey.png
%{_datadir}/icons/hicolor/*/apps/seamonkey-icon.png
%{_mandir}/man1/seamonkey.1*
%{_datadir}/pixmaps/mozilla.png
%{_datadir}/pixmaps/seamonkey.png
%{_datadir}/pixmaps/seamonkey-icon.png

%files mail -f %{_tmppath}/mozilla-mail.list
%defattr(-,root,root)
%{_datadir}/applications/seamonkey-compose.desktop
%{_datadir}/applications/seamonkey-mail.desktop
%{_datadir}/icons/hicolor/*/apps/seamonkey-compose-icon.png
%{_datadir}/icons/hicolor/*/apps/seamonkey-mail-icon.png
%{_datadir}/pixmaps/seamonkey-compose-icon.png
%{_datadir}/pixmaps/seamonkey-mail-icon.png

%files psm -f %{_tmppath}/mozilla-psm.list
%defattr(-,root,root)

%files chat -f %{_tmppath}/mozilla-chat.list
%defattr(-,root,root)

%files js-debugger -f %{_tmppath}/mozilla-js-debugger.list
%defattr(-,root,root)

%files dom-inspector -f %{_tmppath}/mozilla-dom-inspector.list
%defattr(-,root,root)
%{_libdir}/%{name}-%{version}/chrome/inspector.manifest

%if %{build_devel}
%files devel -f %{_tmppath}/mozilla-devel.list
%defattr(-,root,root)
%{_bindir}/seamonkey-config
%{_libdir}/pkgconfig/seamonkey-*.pc
%{_libdir}/%{name}-%{version}/xpcshell
%{_libdir}/%{name}-%{version}/xpidl
%{_libdir}/%{name}-%{version}/xpt_dump
%{_libdir}/%{name}-%{version}/xpt_link
%{_datadir}/idl/%{name}-%{version}/*
%endif

%changelog
* Tue Jun 23 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.17-1m)
- version 1.1.17
- [SECURITY] following issues were fixed
  MFSA 2009-33 Crash viewing multipart/alternative message with text/enhanced part
  MFSA 2009-32 JavaScript chrome privilege escalation
  MFSA 2009-29 Arbitrary code execution using event listeners attached to an element whose owner document is null
  MFSA 2009-27 SSL tampering via non-200 responses to proxy CONNECT requests
  MFSA 2009-26 Arbitrary domain cookie access by local file: resources
  MFSA 2009-24 Crashes with evidence of memory corruption (rv:1.9.0.11)
  MFSA 2009-21 POST data sent to wrong site when saving web page with embedded frame
  MFSA 2009-17 Same-origin violations when Adobe Flash loaded via view-source: scheme
- remove merged mfsa-2009-13.patch

* Sat Jun 13 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.16-2m)
- set relname MoonLikeAGinLime for Momonga Linux 6

* Fri Apr 10 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.16-1m)
- version 1.1.16
- [SECURITY] following issue was fixed
  MFSA 2009-12 XSL Transformation vulnerability
- set relname MintShowerGel

* Thu Apr  2 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1.15-2m)
- [SECURITY] MFSA 2009-12, MFSA 2009-13
- import security patches from Rawhide (1.15.1-3)

* Fri Mar 20 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.15-1m)
- version 1.1.15
- [SECURITY] following issues were fixed
  MFSA 2009-10 Upgrade PNG library to fix memory safety hazards
  MFSA 2009-09 XML data theft via RDFXMLDataSource and cross-domain redirect
  MFSA 2009-07 Crashes with evidence of memory corruption (rv:1.9.0.7)
  MFSA 2009-05 XMLHttpRequest allows reading HTTPOnly cookies
  MFSA 2009-01 Crashes with evidence of memory corruption (rv:1.9.0.6)
- set relname Replica

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1.14-4m)
- rebuild against rpm-4.6

* Sun Jan 11 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1.14-3m)
- update Patch14 for fuzz=0
- License: MPLv1.1 and GPLv2+ and LGPLv2+

* Sat Jan  3 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.14-2m)
- modify options of configure
 - add
  --disable-strip
  --with-pthreads
 - remove
  --disable-short-wchar
  --enable-nspr-autoconf
  --enable-strip
  --enable-strip-libs
  --enable-svg-renderer-libart
  --enable-xft
  --enable-xul
  --disable-freetype2
  --with-libart-prefix
  --with-system-mng
- sort options of configure

* Wed Dec 17 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.14-1m)
- version 1.1.14
- [SECURITY] following issues were fixed
  MFSA 2008-68 XSS and JavaScript privilege escalation
  MFSA 2008-67 Escaped null characters ignored by CSS parser
  MFSA 2008-66 Errors parsing URLs with leading whitespace and control characters
  MFSA 2008-65 Cross-domain data theft via script redirect error message
  MFSA 2008-64 XMLHttpRequest 302 response disclosure
  MFSA 2008-61 Information stealing via loadBindingDocument
  MFSA 2008-60 Crashes with evidence of memory corruption (rv:1.9.0.5/1.8.1.19)
- set relname SplashIntoTheBlue

* Thu Nov 13 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.13-1m)
- version 1.1.13
- [SECURITY] following issues were fixed
  MFSA 2008-58 Parsing error in E4X default namespace
  MFSA 2008-57 -moz-binding property bypasses security checks on codebase principals
  MFSA 2008-56 nsXMLHttpRequest::NotifyEventListeners() same-origin violation
  MFSA 2008-55 Crash and remote code execution in nsFrameManager
  MFSA 2008-54 Buffer overflow in http-index-format parser
  MFSA 2008-53 XSS and JavaScript privilege escalation via session restore
  MFSA 2008-52 Crashes with evidence of memory corruption (rv:1.9.0.4/1.8.1.18)
  MFSA 2008-50 Crash and remote code execution via __proto__ tampering
  MFSA 2008-49 Arbitrary code execution via Flash Player dynamic module unloading
  MFSA 2008-48 Image stealing via canvas and HTTP redirect
  MFSA 2008-47 Information stealing via local shortcut files
- set relname PreciousRainyDay

* Wed Sep 24 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.12-1m)
- version 1.1.12
- [SECURITY] following issues were fixed
  MFSA 2008-45 XBM image uninitialized memory reading
  MFSA 2008-44 resource: traversal vulnerabilities
  MFSA 2008-43 BOM characters stripped from JavaScript before execution
  MFSA 2008-42 Crashes with evidence of memory corruption (rv:1.9.0.2/1.8.1.17)
  MFSA 2008-41 Privilege escalation via XPCnativeWrapper pollution
  MFSA 2008-40 Forced mouse drag
  MFSA 2008-38 nsXMLDocument::OnChannelRedirect() same-origin violation
  MFSA 2008-37 UTF-8 URL stack buffer overflow
- set relname MagicCarpetRide

* Thu Sep 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.11-2m)
- [CRASH FIX]
- use -O1 instead of -O2 in optflags on i686 to avoid crashing

* Wed Jul 16 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.11-1m)
- version 1.1.11
- [SECURITY] following issue was fixed
  MFSA 2008-34 Remote code execution by overflowing CSS reference counter
- set relname NonstopToTokyo

* Wed Jul  2 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.10-1m)
- version 1.1.10
- [SECURITY] following issues were fixed
  MFSA 2008-33 Crash and remote code execution in block reflow
  MFSA 2008-32 Remote site run as local file via Windows URL shortcut
  MFSA 2008-31 Peer-trusted certs can use alt names to spoof
  MFSA 2008-30 File location URL in directory listings not escaped properly
  MFSA 2008-29 Faulty .properties file results in uninitialized memory being used
  MFSA 2008-28 Arbitrary socket connections with Java LiveConnect on Mac OS X
  MFSA 2008-27 Arbitrary file upload via originalTarget and DOM Range
  MFSA 2008-25 Arbitrary code execution in mozIJSSubScriptLoader.loadSubScript()
  MFSA 2008-24 Chrome script loading from fastload file
  MFSA 2008-23 Signed JAR tampering
  MFSA 2008-22 XSS through JavaScript same-origin violation
  MFSA 2008-21 Crashes with evidence of memory corruption (rv:1.8.1.15)
  MFSA 2008-20 Crash in JavaScript garbage collector
- remove merged upstream patch
- set relname MessageSong

* Thu Jun 26 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.9-4m)
- add mozilla.png as link of seamonkey-icon.png, klipper needs it
- re-import Source2 from Fedora
- clean up spec file

* Wed Apr 30 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.9-3m)
- import seamonkey-1.1.9plus.patch from Fedora
 +* Thu Apr 17 2008 Kai Engert <kengert@redhat.com> - 1.1.9-3
 +- add several upstream patches, not yet released:
 +  425576 (crash), 323508, 378132, 390295, 421622

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.9-2m)
- rebuild against gcc43

* Wed Mar 26 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.9-1m)
- version 1.1.9
- [SECURITY] following issues were fixed
  MFSA 2008-19 XUL popup spoofing variant (cross-tab popups)
  MFSA 2008-18 Java socket connection to any local port via LiveConnect
  MFSA 2008-17 Privacy issue with SSL Client Authentication
  MFSA 2008-16 HTTP Referrer spoofing with malformed URLs
  MFSA 2008-15 Crashes with evidence of memory corruption (rv:1.8.1.13)
  MFSA 2008-14 JavaScript privilege escalation and arbitrary code execution
- remove merged gcc43.patch
- set relname Superstar

* Wed Mar 12 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.8-3m)
- remove Provides and Obsoletes: mozilla*

* Fri Feb 22 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1.8-2m)
- add gcc43 patch <https://bugzilla.mozilla.org/show_bug.cgi?id=416463>

* Sun Feb 10 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.8-1m)
- version 1.1.8
- [SECURITY] following issues were fixed
  MFSA 2008-10 URL token stealing via stylesheet redirect
  MFSA 2008-09 Mishandling of locally-saved plain text files
  MFSA 2008-06 Web browsing history and forward navigation stealing
  MFSA 2008-05 Directory traversal via chrome: URI
  MFSA 2008-03 Privilege escalation, XSS, Remote Code Execution
  MFSA 2008-02 Multiple file input focus stealing vulnerabilities
  MFSA 2008-01 Crashes with evidence of memory corruption (rv:1.8.1.12)
- set relname PortableRock

* Sat Feb  2 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.1.7-2m)
- rebuild against perl-5.10.0-1m

* Sat Dec  1 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.7-1m)
- version 1.1.7
- [SECURITY] following issues were fixed
  MFSA 2007-39 Referer-spoofing via window.location race condition
  MFSA 2007-38 Memory corruption vulnerabilities (rv:1.8.1.10)
  MFSA 2007-37 jar: URI scheme XSS hazard
- set relname SunnySideOfTheStreet

* Tue Nov  6 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.6-1m)
- version 1.1.6
- bugfix release
- set relname SweetSoulRevue

* Sat Oct 20 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.5-1m)
- version 1.1.5
- [SECURITY] following issues were fixed
  MFSA 2007-36 URIs with invalid %%-encoding mishandled by Windows
  MFSA 2007-35 XPCNativeWrapper pollution using Script object
  MFSA 2007-34 Possible file stealing through sftp protocol
  MFSA 2007-33 XUL pages can hide the window titlebar
  MFSA 2007-32 File input focus stealing vulnerability
  MFSA 2007-31 Browser digest authentication request splitting
  MFSA 2007-30 onUnload Tailgating
  MFSA 2007-29 Crashes with evidence of memory corruption (rv:1.8.1.8)
  MFSA 2007-28 Code execution via QuickTime Media-link files
- set relname 7pmTokyo

* Sat Sep 15 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.4-2m)
- use system cairo (build fix)

* Sat Aug  4 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.4-1m)
- version 1.1.4
- [SECURITY] following issues were fixed
  MFSA 2007-27 Unescaped URIs passed to external programs
  MFSA 2007-26 Privilege escalation through chrome-loaded about:blank windows
  MFSA 2007-23 Remote code execution by launching SeaMonkey from Internet Explorer

* Fri Jul 20 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.3-1m)
- version 1.1.3
- [SECURITY] following issues were fixed
  MFSA 2007-25 XPCNativeWrapper pollution
  MFSA 2007-24 Unauthorized access to wyciwyg:// documents
  MFSA 2007-22 File type confusion due to %%00 in name
  MFSA 2007-21 Privilege escalation using an event handler attached to an element not in the document
  MFSA 2007-20 Frame spoofing while window is loading
  MFSA 2007-19 XSS using addEventListener and setTimeout
  MFSA 2007-18 Crashes with evidence of memory corruption (rv:1.8.1.5)

* Thu May 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.2-1m)
- version 1.1.2
- [SECURITY] following issues were fixed
  MFSA 2007-17 XUL Popup Spoofing
  MFSA 2007-16 XSS using addEventListener
  MFSA 2007-15 Security Vulnerability in APOP Authentication
  MFSA 2007-14 Path Abuse in Cookies
  MFSA 2007-12 Crashes with evidence of memory corruption (rv:1.8.0.12/1.8.1.4)

* Sun May  6 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.1-2m)
- set relname HappySad for STABLE release

* Sat Mar  3 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.1-1m)
- version 1.1.1
- remove merged thunderbird-1.5.0.9-bug367203.patch

* Sat Jan 27 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1-5m)
- fix link mozilla-remote-tab -> seamonkey-remote-tab

* Thu Jan 25 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1-4m)
- set "general.useragent.vendor", "Momonga"
- set "general.useragent.vendorSub", %%{version}-%%{release}

* Tue Jan 23 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (1.1-3m)
- add thunderbird-1.5.0.9-bug367203.patch for drag and drop broken at >gtk+-2.10.8
- see https://bugzilla.mozilla.org/show_bug.cgi?id=367203

* Mon Jan 22 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1-2m)
- import mozilla-1.7.5-lang.patch.bz2 from cooker
  enable automatic language detection at startup (Debian)
- replace seamonkey-compose-icon.png

* Fri Jan 19 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1-1m)
- version 1.1
- remove merged with-system-nss.patch
- remove ppc64.patch
- remove merged x86_64-relocation.patch

* Sun Jan  7 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.7-10m)
- use BUILD_OFFICIAL=0 MOZILLA_OFFICIAL=0

* Sun Jan  7 2007 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.0.7-9m)
- enable ppc64

* Fri Jan  5 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (1.0.7-8m)
- revised seamonkey.sh.in

* Mon Jan  1 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.7-7m)
- remove Obsoletes: mozilla-extensions
- seamonkey-extensions are now available

* Sat Dec 30 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.7-6m)
- use %%{optflags}
- add --enable-xinerama to configure

* Fri Dec 29 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (1.0.7-5m)
- add R_X86_64_PC32 relocations problem fix patch
- see https://bugzilla.mozilla.org/attachment.cgi?id=248494

* Thu Dec 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.7-4m)
- remove %%{_libdir}/mozilla, it's provided by firefox-2.0

* Thu Dec 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.7-3m)
- revise Provides and Obsoletes

* Wed Dec 27 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.7-2m)
- update rebuild-databases.pl.in

* Wed Dec 27 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.7-1m)
- SeaMonkey 1.0.7, good-bye mozilla
- modify and remove many patches

* Wed Jun 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.7.13-3m)
- import mozilla-xft.js from Centro (use sans-serif like firefox)
 +* Fri Aug 8 2003 Masaru Yokoi <masaru@turbolinux.co.jp>
 +- "font.default" was changed to sans-serif.
- import modern icons from VineSeed
 +* Mon Mar 28 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 38:1.7.6-0vl1
 +- add modern icons

* Sat Jun 24 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.7.13-2m)
- add thunderbird-mime_extern.patch.(need newer gcc-4.1)

* Sat Apr 22 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.7.13-1m)
- update to 1.7.13
- [SECURITY] MFSA-2006-25 MFSA-2006-24 MFSA-2006-23 MFSA-2006-22 MFSA-2006-19 
-            MFSA-2006-18 MFSA-2006-17 MFSA-2006-16 MFSA-2006-15 MFSA-2006-14 
-            MFSA-2006-13 MFSA-2006-12 MFSA-2006-11 MFSA-2006-10 MFSA-2006-09 
- http://www.mozilla.org/projects/security/known-vulnerabilities.html#Mozilla

* Sat Apr 15 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.7.12.6m)
- remove unnecessary headers from mozilla-devel package
-- jpeg libart_lgpl png xlibrgb xprintutil

* Tue Feb 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.7.12-5m)
- import dumpstack.patch from opensuse
 +* Wed Jan 18 2006 - stark@suse.de
 +- fixed DumpStackToFile() for glibc 2.4

* Tue Feb 21 2006 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.7.12-4m)
- build fix for xprint support
- enable alpha build

* Mon Feb 20 2006 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.7.12-3m)
- enable system nspr and nss.

* Wed Jan 11 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.7.12-2m)
- add Patch113: mozilla-1.7.12-gcc4.patch
- remove configure option --enable-meta-components

* Fri Sep 23 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.7.12-1m)
- update to 1.7.12
- [Security] http://www.mozilla.org/security/announce/mfsa2005-58.html etc

* Sat Sep 10 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.7.11-3m)
- [Security] https://addons.mozilla.org/messages/307259.html

* Sun Aug  7 2005 TASHIRO Hideo <tashiron@momonga-linux.org>
- (1.7.11-2m)
- enable x86_64. (modify mozilla.sh.in)

* Sun Jul 31 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.7.11-1m)
- update to 1.7.11

* Sun Jul 24 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.7.10-1m)
- security fixes
-  http://www.mozilla.org/security/announce/mfsa2005-56.html
-  etc

* Fri May 20 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.7.8-2m)
- suppress AC_DEFUN warning.

* Thu May 12 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.7.8-1m)
- security fixes
-   http://www.mozilla.org/security/announce/mfsa2005-42.html

* Mon Apr 18 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.7.7-2m)
- add mozilla-libart_lgpl.tar.bz2 (from mozilla-1.7.6)

* Sat Apr 16 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.7.7-1m)
- security fixes
-   http://www.mozilla.org/security/announce/mfsa2005-37.html
-   http://www.mozilla.org/security/announce/mfsa2005-41.html
-   etc.

* Thu Mar 28 2005 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (1.7.6-2m)
- enable build on ppc64 kernel

* Thu Mar 24 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.7.6-1m)
- security fix
-   http://www.mozilla.org/security/announce/mfsa2005-30.html
-   http://www.mozilla.org/security/announce/mfsa2005-32.html

* Thu Feb 17 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.7.5-2m)
- move desktop files to %%{_datadir}/applications/
- import new desktop files from VineSeed
- import png icons from VineSeed

* Sun Jan 16 2005 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- source URL update. kossori.

* Fri Dec 24 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7.5-1m)
- update to 1.7.5

* Sun Nov 14 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7.3-4m)
- add patch111
  [bug:181697]
  https://bugzilla.mozilla.org/show_bug.cgi?id=181697

* Wed Sep 29 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.7.3-3m)
- rebuild against libstdc++-3.4.1

* Wed Sep 29 2004 kourin <kourin@fh.freeserve.ne.jp>
- (1.7.3-2m)
- bugfix. apply mozilla-printing.patch
  see http://lists.sourceforge.jp/mailman/archives/kazehakase-devel/2004-September/001579.html

* Thu Sep 16 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7.3-1m)
- security update.
  see. http://jt.mozilla.gr.jp/projects/security/known-vulnerabilities.html#mozilla1.7.3

* Mon Aug  9 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7.2-2m)
- change source URL.

* Sat Aug  7 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7.2-1m)
- security update
  bug 251381, 249004, 250906, 253121
  see. http://jt.mozilla.gr.jp/projects/security/known-vulnerabilities.html#mozilla1.7.2
       http://bugzilla.mozilla.org/buglist.cgi?bug_id=251381,249004,250906,253121

* Mon Aug  2 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7-4m)
- security update
  [bug249004]
    http://bugzilla.mozilla.org/show_bug.cgi?id=249004
  [bug253121]
    http://bugzilla.mozilla.org/show_bug.cgi?id=253121

* Wed Jul 21 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7-3m)
- revise %%files

* Tue Jul  6 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7-2m)
- remove Epoch tag.

* Tue Jul  6 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7-1m)
- update to 1.7

* Wed Mar 31 2004 Toru Hoshina <t@momonga-linux.org>
- (1.6-6m)
- Epoch, the company that is known as "the ballpark" game vendor.

* Wed Mar 24 2004 Toru Hoshina <t@momonga-linux.org>
- (1.6-5m)
- revised spec for rpm 4.2
- set _unpackaged_files_terminate_build as 0, avoid remove each messy stuff.

* Tue Mar  2 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.6-4m)
- a little modify mozilla-1.6-ruby-support.patch

* Mon Mar  1 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.6-3m)
- fix typo in mozilla-remote-tab

* Mon Mar  1 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.6-2m)
- add mozilla-remote-tab

* Sat Jan 17 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.6-1m)
- update to 1.6
- remove some unuse patch.

* Wed Dec 17 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.5-11m)
- add patch12
  [bug-org#201209]
    http://bugzilla.mozilla.org/show_bug.cgi?id=201209
  [bug-jp#3551]
    http://bugzilla.mozilla.gr.jp/show_bug.cgi?id=3551

* Sat Dec 13 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.5-10m)
- add patch11
  [bug-org#228176]
    http://bugzilla.mozilla.org/show_bug.cgi?id=228176

* Sun Nov 30 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.5-9m)
- add patch8,9,10
  [bug-jp#3500]
    http://bugzilla.mozilla.gr.jp/show_bug.cgi?id=3500
  [bug-org#226637]
    http://bugzilla.mozilla.org/show_bug.cgi?id=226637
  [bug-jp#3498]
    http://bugzilla.mozilla.gr.jp/show_bug.cgi?id=3498

* Sat Nov 15 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.5-8m)
- modify mozilla-rebuild-databases.pl for mozilla-extensions packages.

* Fri Nov 14 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.5-7m)
- add patch7
  [bug-org#102578] [bug-jp#2997]
  see. http://bugzilla.mozilla.org/show_bug.cgi?id=102578
       http://bugzilla.mozilla.gr.jp/show_bug.cgi?id=2997

* Thu Oct 30 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (1.5-6m)
- revise %%files
   remove directories from mozilla-mail those are already included in main package
     %%dir %%{_libdir}/mozilla-%%{version}/chrome/icons/default
     %%dir %%{_libdir}/mozilla-%%{version}/chrome/icons
     %%dir %%{_libdir}/mozilla-%%{version}/chrome
     %%dir %%{_libdir}/mozilla-%%{version}/components
     %%dir %%{_libdir}/mozilla-%%{version}
   add directories under %%{_includedir}/mozilla-%%{version} to mozilla-devel

* Wed Oct 29 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.5-5m)
- append some patches from bugzilla-jp, bugzilla.
  [bug-jp#3211]
    see. http://bugzilla.mozilla.gr.jp/show_bug.cgi?id=3211
  [bug#208095]
     http://bugzilla.mozilla.org/show_bug.cgi?id=208095
  [bug#99094]
    http://bugzilla.mozilla.org/show_bug.cgi?id=99094
  [bug#223394]
    http://bugzilla.mozilla.org/show_bug.cgi?id=223394

* Mon Oct 20 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.5-4m)
- appended some patches.
  [bug#187899]
    see. http://bugzilla.mozilla.org/show_bug.cgi?id=187899
  [bug#85908]
    see. http://bugzilla.mozilla.org/show_bug.cgi?id=85908

* Sun Oct 19 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.5-3m)
- modify configure's options.

* Sun Oct 19 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.5-2m)
- append configure's option "--enable-strip". (Why removed?)

* Thu Oct 16 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.5-1m)
- update to 1.5

* Tue Aug 19 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.4-2m)
- add mozilla-remote which first execute mozilla with -remote, then without -remote if failed

* Wed Jul  2 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.4-1m)
- update to 1.4
- remade patches. (103,104)
- remove patch100. (we don't need it any more.)
- build with gcc3.2

* Fri May 16 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.3.1-1m)
- update to 1.3.1
- use %%{?_smp_mflags}

* Wed Apr 16 2003 kourin <kourin@fh.freeserve.ne.jp>
- (1.3-5m)
- update mozilla-gtk2im.patch
- add BuildPrereq libIDL-devel

* Sat Apr 12 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.3-4m)
- add BuildPrereq: libstdc++2.96-devel
- add Requires: zlib >= 1.1.4-5m

* Tue Apr 08 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.3-3m)
- rebuild against zlib 1.1.4-5m

* Fri Mar 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.3-2m)
- rebuild against for XFree86-4.3.0

* Fri Mar 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.3-1m)
- version 1.3

* Sun Mar  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.3b-9m)
- add URL
- use rpm macros

* Sun Mar  9 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.3b-8m)
- enable SVG support again.
- enable MNG support again.
- modify default font setting to unix.js

* Fri Mar  7 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.3b-7m)
- update jlp

* Fri Mar  7 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.3b-6m)
- fix -devel filelist.

* Thu Mar  6 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.3b-5m)
- merge sub packages
- add mozilla-1.3b-gtkXft-FontFamilyUtf8.patch

* Thu Mar  6 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.3b-4m)
- add some patches

* Thu Mar  6 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.3b-3m)
- fix jlp

* Thu Mar  6 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.3b-2m)
- add jlp

* Wed Mar  5 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.3b-1m)
- initial for 1.3b with gtk2

* Wed Mar  5 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.2.1-11m)
- a little modify unix.js

* Tue Feb 25 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.1-10m)
- add BuildPrereq: unzip >= 5.50 for exec unzip in spec file

* Mon Feb 10 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.2.1-9m)
- stop %postun script. (suman ittekuru...)

* Mon Feb 10 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.2.1-8m)
- clean up script in "%%postun" (not %%preun)
- modify patch1 (for Xft2)

* Wed Feb  5 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.2.1-7m)
- use gcc2.96 for C++ ABI compatibility with plugins (except ppc)
  see [Momonga-devel.ja:01338]

* Fri Jan 24 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.2.1-6m)
- clean up in %%preun.

* Sun Jan 12 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.2.1-5m)
- add patch for Xft UTF-8 font family name.
  see http://www.kde.gr.jp/~akito/patch/fcpackage/Install-ja.txt
- 'pref("nglayout.initialpaint.delay", 0)' is default. (on all.js)

* Wed Dec 25 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.2.1-4m)
- add some patches.
  [bug128572] http://bugzilla.mozilla.org/show_bug.cgi?id=128572
  [bug181644] http://bugzilla.mozilla.org/show_bug.cgi?id=181644

* Wed Dec 11 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.2.1-3m)
- use system image libs.

* Sat Dec  7 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.2.1-2m)
- jlp update. (to kv0.4)
- import Xft source from fcpackages source tree.
- import freetype source from freetype2 source tree.

* Thu Dec  5 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.2.1-1m)
- update to version 1.2.1 (with Xft2)

* Thu Nov 28 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.1-11m)
- use gcc2.96 on ppc

* Sat Nov  9 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.1-10m)
- use gcc-3.2

* Thu Nov  7 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.1-9m)
- %%include_specopt requires %%name...

* Tue Nov  5 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.1-8m)
- change initial setting.
    freetype2 support is default. (on unix.js)
- delete some unused patches.

* Fri Nov  1 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.1-7m)
- Change default configure option (Xft not support)
  I tested other some option.
  However, all of them were dangerous. (T_T)

* Wed Oct 30 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.1-6m)
- modified configure option.
  added --enable-system-{jpeg,png,mng}

* Sun Oct 27 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.1-5m)
- modified configure option.
  added --enable-xft.
  default toolkit changed to gtk.
- JLP version up to 0.8.
- cleaned up old patches.

* Tue Oct  8 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.1-4m)
- fix petit wazilla patch. (sumanu... ;-p)

* Mon Oct  7 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.1-3m)
- add some patches from wazilla project.

* Wed Sep 18 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.1-2m)
- fix bug145579 (future_referer)
  http://bugzilla.mozilla.org/show_bug.cgi?id=145579

* Wed Sep 18 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.1-1m)
- version up.

* Tue Aug 16 2002 Kenta MURATA <muraken2@nifty.com>
- (1.0-15m)
- implements openURL(url, new-tab).

* Tue Aug  6 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0-14m)
- fix #bug 101827
  http://bugzilla.mozilla.org/show_bug.cgi?id=101827
- fix #bug 136087
  http://bugzilla.mozilla.org/show_bug.cgi?id=136087

* Tue Aug  6 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0-13m)
- fix FTP View cross site scripting vulnerability.

* Fri Aug  2 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0-12m)
- fix set number of CPUS statement.
- add some patches from wazilla.

* Tue Jul 30 2002 smbd <smbd@momonga-linux.org>
- (1.0-11m)
- [security]
- fix possible cookie stealing using javascript
- see http://bugzilla.mozilla.org/show_bug.cgi?id=152725

* Fri Jul  5 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0-10m)
- sumaso... remake ruby support patch.

* Thu Jul  4 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0-8k)
- XHTML 1.1 ruby module support
- fix too big font vulnerability.

* Sat Jun  8 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0-6k)
  JLP 1.0-2

* Thu Jun  6 2002 Tsutomu Yasuda <tom@kondara.org>
- (1.0-4k)
  JLP 1.0-1

* Thu Jun  6 2002 Tsutomu Yasuda <tom@kondara.org>
- (1.0-2k)
  update to 1.0

* Sun Jun  2 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0-0.3.8k)
- clean up patches.
- add patch #12 (Bug#143031)
  see -> http://bugzilla.mozilla.org/show_bug.cgi?id=143031
- remake patch#2

* Fri May 31 2002 Shigeyuki Yamashita <shige@kondara.org>
- (1.0-0.3.6k)
- rebuild against gcc 2.96
- remove patch #42 (mozilla-1.0.0rc3-gcc2.95.3.patch)

* Sat May 25 2002 Shigeyuki Yamashita <shige@kondara.org>
- add patch #42 (mozilla-1.0.0rc3-gcc2.95.3.patch)
- remove patches (#1,#6,#39)

* Fri May 17 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0-0.2.6k)
- add patch39
  Bug#143607
  http://bugzilla.mozilla.org/show_bug.cgi?id=143607

* Mon May 13 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0-0.2.4k)
- remake some patches (patch No. 15, 23, 24, 25)
- fix mozilla.sh (for emacs url open)

* Mon May 13 2002 Tsutomu Yasuda <tom@kondara.org>
- (1.0-0.2.2k)
  update to 1.0rc2

* Fri May 10 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0-0.1.12k)
- remove patch patch33

* Thu May  9 2002 Shigeyuki Yamashita <shige@kondara.org>
- (1.0-0.1.10k)
- add patch patch39
  Bug#105537 (see http://bugzilla.mozilla.org/show_bug.cgi?id=141061)

* Sat May  4 2002 Tsutomu Yasuda <tom@kondara.org>
- (1.0-0.1.8k)
  jlp 1.0rc1 v1.0

* Sat Apr 27 2002 Toshiro HIKITA <toshi@sodan.org>
- (1.0-0.1.6k)
- add xremote-client from official package
- update mozilla.sh from official package

* Fri Apr 26 2002 Toshiro HIKITA <toshi@sodan.org>
- (1.0-0.1.4k)
- rebuild-databases.sh -> mozilla-rebuild-databases.pl
  as change in official src.rpm (1.0rc1-0)

* Fri Apr 26 2002 Tsutomu Yasuda <tom@kondara.org>
- (1.0-0.1.2k)
  update to 1.0rc1
  jlp 1.0rc1 v0.1

* Thu Apr 25 2002 zunda <zunda@kondara.org>
- (0.9.8-44k)
- make export and make libs deleted to build wihtout mozilla-mail installed

* Sat Apr 20 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (0.9.8-42k)
- rebuild against libpng 1.2.2.

* Wed Apr  3 2002 Kenta MURATA <muraken@kondara.org>
- (0.9.8-40k)
- BuildPreReq: ccache

* Sun Mar 31 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.8-38k)
- very verbose configure :-p

* Sat Mar 16 2002 Kenta MURATA <muraken@kondara.org>
- (0.9.8-36k)
- merge from MOZILLA_SVG_TEST branch.

* Sat Mar 16 2002 Kenta MURATA <muraken@kondara.org>
- (0.9.8-34.2k)
- use system libart_lgpl.

* Sat Mar 16 2002 Kenta MURATA <muraken@kondara.org>
- (0.9.8-34.1k)
- svg test branch.

* Tue Mar 12 2002 Tsutomu Yasuda <tom@kondara.org>
- (0.9.8-34k)
- added configure param --with-system-zlib

* Sat Mar  9 2002 Shingo Akagaki <dora@kondara.org>
- (0.9.8-32k)
- remove NO_XALF flag from all spec files

* Thu Mar  7 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.8-30k)
- fix install section

* Wed Mar  6 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (0.9.8-28k)
- enable to build

* Tue Mar  5 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.8-26k)
- miss packaging...

* Fri Mar  1 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.8-24k)
- add patch patch37
  modified chatzilla.properties of mozilla0.9.8-langjajp-v1.0.xpi

* Fri Mar  1 2002 Kenta MURATA <muraken@kondara.org>
- (0.9.8-22k)
- hack the MathML features. (add patch36)

* Wed Feb 27 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.8-20k)
- sumanu....

* Tue Feb 26 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.8-18k)
- add DOM Inspector package.
- modified startup script
- add patches
  mozilla-0.9.8-filepicker.patch
  mozilla-0.9.8-ja-JP-filepicker.patch (for lang ja-JP)

* Sun Feb 24 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.8-16k)
- fix font size of chatzilla (default is 14pt)

* Thu Feb 21 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.8-14k)
- add kondara icon png for search plugin.
- kondara.src become independent from a patch.

* Thu Feb 21 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.8-12k)
- update JLP(Japan Language Pack) v1.0
- update regjp-kondara.patch
- add patch mozilla-0.9.8-ctrl+enter-newtab.patch
  Bug#105537 (see http://bugzilla.mozilla.org/show_bug.cgi?id=105537)

* Tue Feb 19 2002 Shingo Akagaki <dora@kondara.org>
- (0.9.8-10k)
- remove NO_XALF flag from mozilla.spec

* Fri Feb 15 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.8-8k)
- remade ui font patches
- patch from trunk
  problems with caret positioning on textarea.
  Bug#8365 (see -> http://bugzilla.mozilla.org/show_bug.cgi?id=83650)

* Thu Feb 14 2002 Shingo Akagaki <dora@kondara.org>
- (0.9.8-6k)
- add overlay-menu.patch editor-overlay-menu.patch  mozilla-prefs-debug.patch
- update regjp-kondara.patch

* Wed Feb 06 2002 Toshiro Hikita <toshi@sodan.org>
- (0.9.8-4k)
- update JLP(Japan Language Pack) v0.1
- update regjp-kondara.patch

* Wed Feb 06 2002 Toshiro Hikita <toshi@sodan.org>
- (0.9.8-2k)
- updated to 0.9.8
- remove overlay-menu.patch editor-overlay-menu.patch
   font.patch ircjis.patch kondaraUIfont.patch customtab.patch
   UIfont.jar.mn.patch enable_mng.patch pref-languages-add.patch
   readonly-textinput.patch
- add extlibart.patch
- requires libart_lgpl-devel
- update mozilla-make-package.pl

* Tue Jan 22 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.6-28k)
- update JLP(Japan Language Pack) v1.0

* Fri Dec  7 2001  Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (0.9.6-24k)
- revised spec to act properly on the build environment regardless smp/ump.

* Fri Dec  7 2001 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.6-22k)
- add mozilla-0.9.6-readonly-textinput.patch
  c.f http://bugzilla.mozilla.org/show_bug.cgi?id=109265

* Fri Dec  7 2001 Shingo Akagaki <dora@kondara.org>
- (0.9.6-20k)
- more clean in %clean section

* Wed Dec  5 2001 Shingo Akagaki <dora@kondara.org>
- (0.9.6-18k)
- sarani change gtktooltip.patch

* Wed Dec  5 2001 Shingo Akagaki <dora@kondara.org>
- (0.9.6-16k)
- change gtktooltip.patch

* Tue Dec  4 2001 Shingo Akagaki <dora@kondara.org>
- (0.9.6-14k)
- gtktooltip.patch

* Fri Nov 30 2001 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.6-12k)
- remake langpack patch and mng patch
- chatzilla return

* Fri Nov 30 2001 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.6-10k)
- mozilla-0.9.6-pref-languages-add.patch
  c.f. http://bugzilla.mozilla.org/show_bug.cgi?id=109629

* Thu Nov 29 2001 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.6-8k)
- add enable mng patch(mozilla-0.9.6-enabele_mng.patch)

* Tue Nov 27 2001 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.6-6k)
- add mozilla-0.9.6-formControl-fix.patch
  fix 0.9.6's form control.

* Tue Nov 27 2001 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.6-4k)
- fixed Souece12: tag.

* Mon Nov 26 2001 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.6-2k)
- update to 0.9.6 and remake patches (%patch23,24,25)
- added CSS kondarafont.css for UI setting
- added patch kondaraUIfont.jar.mn.patch
  for modern and classic skin

* Fri Nov 23 2001 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.5-20k)
- modified mozilla-0.9.5-kondara-all.js.patch
  changed pref 'browser.tabs.opentabfor.urlbar' in default
  setting.
- delete mozilla-0.9.5-kondara-closebox-fix.patch
- added mozilla-0.9.5-kondara-customtab.patch

* Sun Nov 18 2001 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.5-18k)
- added a patch(mozilla-0.9.5-kondara-closebox-fix.patch)
  change an appearance when mouse was hover on closebox of
  tabview.
- modified UI font setting. (added patch for classic skin.)
- added a patch(mozilla-0.9.5-kondara-all.js.patch)
  + change middle button's action.
  + word wrap of souce view.

* Tue Nov 13 2001 Shingo Akagaki <dora@kondara.org>
- (0.95-16k)
- nigittenu

* Tue Nov 13 2001 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- fix UI font setting again.(T_T)

* Fri Nov  9 2001 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- modified UI setting again.

* Fri Nov  2 2001 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.5-10k)
- modified UI setting (modified userChrome.css)
- add --with-pthreads --enable-mathml --enable-svg parameter

* Wed Oct 31 2001 Toshiro Hikita <toshi@sodan.org>
- (0.9.5-8k)
- add new patches from mozilla-0.9.5-0vl1.src.rpm from Vine
   mozilla-0.9.3-ircjis.patch
   c.f. http://bugzilla.mozilla.gr.jp/show_bug.cgi?id=71
- add new patches from bugzilla DB
   mozilla-0.9.5-mailsort.patch
   c.f. http://bugzilla.mozilla.org/show_bug.cgi?id=94103
   mozilla-0.9.5-smtpportcheck.patch
   c.f. http://bugzilla.mozilla.org/show_bug.cgi?id=96309
   mozilla-0.9.5-smtpportfix.patch
   c.f. http://bugzilla.mozilla.org/show_bug.cgi?id=106631
- add BuildPreReq fileutils >= 4.1 for cp -fRL

* Wed Oct 24 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- update jlp to ver 1.0

* Tue Oct 16 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- update to 0.9.5

* Sun Oct  7 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- update langjajp and regjp to release version

* Tue Oct  2 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- update langjajp and regjp to RC2

* Mon Jun 18 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- update JLP

* Sat Jun 16 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- fix SOURCE12 URI and SOURCE13 name

* Thu Jun 14 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- version 0.9.1

* Mon May 21 2001 Shingo Akagaki <dora@kondara.org>
- add  bug-78483.patch
- add  bug-80059.patch

* Sat May 19 2001 Shingo Akagaki <dora@kondara.org>
- update jlp

* Thu May 17 2001 Shingo Akagaki <dora@kondara.org>
- bug-74284.patch
- update jlp

* Wed May 16 2001 Shingo Akagaki <dora@kondara.org>
- bug-53989.patch

* Wed May 16 2001 Shingo Akagaki <dora@kondara.org>
- bug-79551.patch

* Tue May 15 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- dont use xalf

* Thu May 10 2001 Shingo Akagaki <dora@kondara.org>
- remerge rawhide spec

/* Sat Apr 28 2001 Christopher Blizzard <blizzard@redhat.com>
/- Add script to do all the db rebuilds for us.
/- Add versioned prereqs
/
/* Tue Apr 24 2001 Christopher Blizzard <blizzard@redhat.com>
/- Move .so libraries that aren't components to /usr/lib
/- Move devel tools to /usr/bin
/
/* Wed Apr 18 2001 Christopher Blizzard <blizzard@redhat.com>
/- Add /usr/lib/mozilla/plugins to LD_LIBRARY_PATH in mozilla.sh

* Mon Apr 16 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- (0.8.1-2k)
- version 0.8.1

* Tue Apr  3 2001 Shingo Akagaki <dora@kondara.org>
- (0.8-5k)
- rawhide version

/* Thu Mar 29 2001 Christopher Blizzard <blizzard@redhat.com>
/- Add --without-mng to configure lines to avoid picking up the mng
/library in rawhide.
/
/* Tue Mar 20 2001 Christopher Blizzard <blizzard@redhat.com>
/- Ignore the return value of regxpcom and regchrome.  They will
/  segfault because of binary incompatible changes during upgrades but
/  the last upgrade bits will always work so we should be OK.
/
/* Mon Mar 12 2001 Christopher Blizzard <blizzard@redhat.com>
/- Add chatzilla rpms.
/
/* Wed Mar 07 2001 Christopher Blizzard <blizzard@redhat.com>
/- Add LD_ASSUME_KERNEL hack to mozilla.sh so that the JVM will work.
/
/* Tue Feb 27 2001 Christopher Blizzard <blizzard@redhat.com>
/- Add missing directories to file sections for mozilla and
/  mozilla-psm.
/
/* Fri Feb 16 2001 Christopher Blizzard <blizzard@redhat.com>
/- Remove requires since we have prereq.
/
/* Sat Feb 10 2001 Christopher Blizzard <blizzard@redhat.com>
/- Add xpidl compiler + related tools to the devel package.
/- Check that regxpcom exists in postun sections.  There's no ordering
/  guarantee when you uninstall rpms.
/
/* Mon Feb 05 2001 Christopher Blizzard <blizzard@redhat.com>
/- Turn of parallel builds again.
/
/* Sun Jan 28 2001 Christopher Blizzard <blizzard@redhat.com>
/- Try with parallel builds again.
/- Use --enable-nspr-autoconf
/- In the clean section don't delete the building area.
/
/* Sat Jan 27 2001 Christopher Blizzard <blizzard@redhat.com>
/- Remove hacks for installed-chrome.txt and regchrome.  They are
/  listed in the packages files now.
/
/* Thu Jan 18 2001 Christopher Blizzard <blizzard@redhat.com>
/- Add proper prereq for psm, mail and base package
/- Remove checks for programs before running post and postun
/
/* Tue Jan 16 2001 Christopher Blizzard <blizzard@redhat.com>
/- Check the existence of programs before running post and postun
/  scripts for sub-packages.
/
/* Mon Jan 15 2001 Christopher Blizzard <blizzard@redhat.com>
/- Remove mozilla-specific rdf toolbar items
/
/* Thu Jan 11 2001 Christopher Blizzard <blizzard@redhat.com>
/- Re-add rm in clean
/
/* Tue Jan 09 2001 Christopher Blizzard <blizzard@redhat.com>
/- Change tip serial to 8 and 0.7 release serial to 7.  This way we can
/  do upgrades properly.
/
/* Mon Jan 08 2001 Christopher Blizzard <blizzard@redhat.com>
/- Add explicit paths for rm and mkdir
/
/* Sat Jan 06 2001 Christopher Blizzard <blizzard@redhat.com>
/- Remove patch for -fshort-wchar problems and use
/  --disable-short-wchar until the next compiler release.
/- Use cooler icons.
/
/* Tue Jan 02 2001 Christopher Blizzard <blizzard@redhat.com>
/- Add patch to get default home page on 6.2 builds, too.
/
/* Mon Jan 01 2001 Christopher Blizzard <blizzard@redhat.com>
/- Add patch to point default page at local file system and to point
/  mailnews at about:blank.
/
/* Mon Jan 01 2001 Christopher Blizzard <blizzard@redhat.com>
/- Add patch to remove debug menu from preferences.
/
/* Sun Dec 31 2000 Christopher Blizzard <blizzard@redhat.com>
/- Add patch to support building psm on ppc.
/
/* Fri Dec 29 2000 Christopher Blizzard <blizzard@redhat.com>
/- Add autoconf check for bad -fshort-wchar support in compiler.
/- Clean up a lot of cruft in the spec file that I don't need anymore.
/- Make regxpcom generated files non-config so that they aren't saved
/  as .rpmsave files.
/
/* Thu Dec 28 2000 Christopher Blizzard <blizzard@redhat.com>
/- Change the sparc patch to support sparc + sparc64.
/
/* Thu Dec 28 2000 Christopher Blizzard <blizzard@redhat.com>
/- Don't remove the CVS directories anymore since we're using the
/  package files now.
/
/* Thu Dec 28 2000 Christopher Blizzard <blizzard@redhat.com>
/- Breakout psm
/- Re-add the sparc config patch.
/
/* Wed Dec 20 2000 Christopher Blizzard <blizzard@redhat.com>
/- Add a bunch of dir entries to make sure that we don't leave a lot of
/  crap behind when we uninstall the rpm.
/
/* Tue Dec 19 2000 Christopher Blizzard <blizzard@redhat.com>
/- Finish with mail/news breakout.
/- Move component registration to package install time instead of at
/  package build time.
/
/* Wed Dec 13 2000 Christopher Blizzard <blizzard@redhat.com>
/- Break out mail/news
/
/* Tue Dec 12 2000 Christopher Blizzard <blizzard@redhat.com>
/- Remove Debug menus from mail/news, browser and editor.
/
/* Mon Dec 11 2000 Christopher Blizzard <blizzard@redhat.com>
/- Add new mozilla.sh script that tries to send commands to a running
/  instance first.
/- Add desktop files and icons.
/
/* Tue Dec 05 2000 Christopher Blizzard <blizzard@redhat.com>
/- Build on only one CPU until the parallel build problems are worked
/  out.
/- Don't try to build on ai64

* Fri Feb 16 2001 Yoshito Komatsu <yoshito.komatsu@nifty.com>
- (0.8-3k)
- update to 0.8.
- enable irc.

* Sat Jan 20 2001 Yoshito Komatsu <yoshito.komatsu@nifty.com>
- (0.7-9k)
- add JLP.
- modify kaigyo patch.
- add more patch from bugzilla.
- clean spec file.

* Wed Jan 17 2001 Yoshito Komatsu <yoshito.komatsu@nifty.com>
- (0.7-7k)
- modify patch from bugzilla.
- modify font patch.
- modify desktop entry.

* Tue Jan 16 2001 Yoshito Komatsu <yoshito.komatsu@nifty.com>
- (0.7-5k)
- enable psm.
- change version & url.
- add patch(bugzilla 63081,63789).

* Sun Jan 14 2001 Yoshito Komatsu <yoshito.komatsu@nifty.com>
- (5.0-0.0070005k)
- add desktop entry for GNOME.

* Thu Dec 14 2000 Yoshito Komatsu <yoshito.komatsu@nifty.com>
- (5.0-0.0060003k)
- update to mozilla0.6.

* Mon Dec  4 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (5.0-0.0018005k)
- enable to build on Alpha and Mary(2.0). Thanx > a!

* Tue Nov 28 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- fix URL
- change version & release

* Thu Oct 26 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix build with new fileutils

* Fri Oct 13 2000 Christopher Blizzard <blizzard@redhat.com>
- Move to post M18 builds

* Mon Oct 2 2000 Christopher Blizzard <blizzard@redhat.com>
- start daily builds - remove the old patches
- delete installed directories for chrome since everything
  is in jar files now.

* Fri Aug 18 2000 Matt Wilson <msw@redhat.com>
- added patch to work around va_arg mess on gcc 2.96

* Wed Aug  9 2000 Christopher Blizzard <blizzard@redhat.com>
- Use official M17 source tarball

* Tue Aug  8 2000 Christopher Blizzard <blizzard@redhat.com>
- Add patch to fix crash when viewing some rgba images
- Add patch to fix sign warnings in gtkmozembed.h header

* Mon Aug  7 2000 Christopher Blizzard <blizzard@redhat.com>
- Build M17 official
- Add patch to fix crash when viewing some png images
- Add patch to fix context menu popup grab behaviour
- Add patch to fix focus problems with the file upload widget

* Thu Jul 27 2000 Christopher Blizzard <blizzard@redhat.com>
- Update to M17 snapshot

* Mon Jul 24 2000 Christopher Blizzard <blizzard@redhat.com>
- Update to most recent snapshot
- Added chrome rdf hacks

* Tue Mar 14 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
